/*
 * Class ITERABLE [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_680 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_680 [] = {0xFF01,237,679,203,0xFFFF};
static const EIF_TYPE_INDEX egt_2_680 [] = {0xFF01,679,203,0xFFFF};
static const EIF_TYPE_INDEX egt_3_680 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_680 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_680 [] = {0xFF01,679,203,0xFFFF};
static const EIF_TYPE_INDEX egt_6_680 [] = {0xFF01,679,203,0xFFFF};
static const EIF_TYPE_INDEX egt_7_680 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_680 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_680 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_680 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_680 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_680 [] = {679,203,0xFFFF};
static const EIF_TYPE_INDEX egt_13_680 [] = {0xFF01,679,203,0xFFFF};
static const EIF_TYPE_INDEX egt_14_680 [] = {0xFF01,680,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_680 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_680[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_680), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_680), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_680), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_680), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_680), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_680), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_680), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_680), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_680), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_680), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_680), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_680), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_680), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_680), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_680), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_680), -1, 0xFFFFFFFF},
};
void Init680(void)
{
	IDSC(desc_680, 0, 679);
	IDSC(desc_680 + 1, 1, 679);
	IDSC(desc_680 + 32, 99, 679);
}


#ifdef __cplusplus
}
#endif
